echo off
@rem  Program for making Daggerfall save game zips
@rem  Arguments:
@rem  1  Directory in which the ZIPS folder should be built; e.g., E:
@rem  2  Your name for this group of zips (maximum of 7 characters)
@rem  This program attempts to zip all 6 save game slots (0-6) on
@rem  a single call. Attempts to create the directory E:\ZIPS to
@rem  receive the zip files. Uses maximum compression. Edit the
@rem  directory path string to set up for a different directory path.
@rem  Note: this program expects a copy of PKZIP in the root directory
@rem  of the drive containing the DAGGER directory, and this BAT file
@rem  must be in the DAGGER directory.
if %1x==x goto usage
if %2x==x goto usage
md %1\ZIPS
\pkzip -u -ex %1\ZIPS\0%2 save0\*.*
\pkzip -u -ex %1\ZIPS\1%2 save1\*.*
\pkzip -u -ex %1\ZIPS\2%2 save2\*.*
\pkzip -u -ex %1\ZIPS\3%2 save3\*.*
\pkzip -u -ex %1\ZIPS\4%2 save4\*.*
\pkzip -u -ex %1\ZIPS\5%2 save5\*.*
\pkzip -um -ex %1\ZIPS\%2 %1\ZIPS\?%2.zip
goto end
:usage
echo.
echo Usage:
echo DAGZIP PATH NAME
echo Where PATH = Location of the ZIPS directory and NAME = name of save game set
echo on
:end
